Subject: Re: u-boot debugging

From: bennett78 <[email-masked]>
Date: Fri, 20 Jan 2006 13:40:46 -0700

Wolfgang Denk wrote:

>In message <[email-masked]> you wrote:
>  
>
>>Besides, the BDI has only a 10Mbps Ethernet interface.  It might be
>>enough for simple debug operation but they should
>>Have put a 100Mbps link to put it on a shared network.  For an isolated
>>network configuration, it should suffice...
>>    
>>
>
>  
>
Yeah this thread is covering a broad range of JTAG debug. There
are debuggers that range form $50 to $50k with no JTAG standard. 
$50 wigglers that are painfully slow because they bit-bang the parallel
port and $50k Gigabit interface with GBs of fast memory that can "capture
bugs" in realtime (that is if you can define/setup the trigger condition to
capture "the bug", but for a 400MHz processor that may only mean 1-2
seconds of data).  The BDI is a nice product for $2k, wish I would of
thought of designing it. You can either communicate with it directly for
single step, breakpointing, etc, but the coolness is the capability to run
remote gdb, then there is insight which is a gui that runs ontop of gdb....
works great debugging u-boot and kernel/user code later....but the best
part is no need for windose and with DENX you don't have to pay big
$ to metrowerks, greenhills or the like and wait while they develop or
if they will ever develop debugger software for your target!

>You should really get a clue. Or can you please explain what  is  the
>maximum  transfer rate you can get over the BDM / JTAG interface, and
>how is this limited by the 10Mbps Ethernet interface?
>
>
>Best regards,
>
>Wolfgang Denk
>
>  
>

-- 

*/Frank Bennett
Technical Contractor/*

/Triad Systems Engineering
200 West Mountain Avenue, Suite 103C
Ft. Collins, CO 80521
/http://www.traidsyseng.com <http://www.triadsyseng.com>
[email-masked] <mailto:[email-masked]>/
/office: 970-493-7586
cell:   970-402-9269